monitored
=========

Prepare remote machine for monitoring with Naemon/Nagios/Icinga via NRPE and/or SSH

Requirements
------------

- Role "epel" for RedHat-like systems

Role Variables
--------------

Defaults (config/overwrite required):
- `monitored_by_nrpe` (defaults: `False`): install/configure NRPE
- `monitored_by_ssh` (defaults: `False`): install/configure SSH incl. wrapper
  script
- `monitored_server_ips` (defaults: `[127.0.0.1,]`: list(!) of monitoring server
  ips

Required for SSH:
- `monitored_ssh_key_files` (defaults: `[]`): list(!) of SSH key strings(!)

Common variables:
- `monitored_packages_install` (defaults: `True`): install plugings
- `monitored_sudo_file` (defaults: `/etc/sudoers.d/monitored`): sudoers file
- `monitored_sudo_commands`: list of `sudoers` config lines
- `monitored_packages_additional(_nrpe|_ssh)`: additional packages to install
- `monitored_plugins_custom`: additional plugin scripts to copy
- `monitored_plugins_custom_path` (defaults: `/usr/local/plugins/`): path for
  additional plugins

NRPE:
- `monitored_nrpe_*`: NRPE config variables

SSH:
- `monitored_ssh_key_wrapper`: local path/filename of wrapper
- `monitored_ssh_key_wrapper_src`: remote path and filename of wrapper
- `monitored_ssh_key_wrapper_*`: file attributes of wrapper

Dependencies
------------

- Installed Apache web server

Example Playbook
----------------

    - hosts: web-servers
      roles:
         - role: apache2-backend-mod_remoteip
           apache2_backend_mod_remoteip_proxy: 192.168.0.0/24

License
-------

GPL-2.0-or-later

Author Information
------------------

Sven Velt - <sven-ansiblerole@velt.biz>
https://git.velt.biz/velt.biz/

